Description

Associated revisions
Revision 5a125638 - 10/10/2012 09:06 PM - J. Moringen

Simplified and reorganized examples/protobuf/*.py

refs #1196

    -  examples/protobuf/registration.py: new file; illustrates
  registration of converters

    -  examples/protobuf/informer.py: cleaned up; shortened comments
  regarding registration; added sphinx marks

    -  examples/protobuf/listener.py: likewise

Revision 057f6a87 - 10/10/2012 09:07 PM - J. Moringen

Simplified and reorganized examples in examples/protobuf_converter/

refs #1196

    -  examples/protobuf_converter/registration.cpp: new file; demonstrates
  registrations of converters without use

    -  examples/protobuf_converter/receiver.cpp: updated copyright; cleaned
  up; added sphinx markers

    -  examples/protobuf_converter/sender.cpp: likewise

Revision 8a627371 - 10/11/2012 01:29 AM - J. Moringen

Cleaned up and reorganized examples in examples/tutorial/protobuf

refs #1196

    -  examples/tutorial/protobuf/RegistrationExample.java: new file;
  demonstrates registration of converters

    -  examples/tutorial/protobuf/InformerExample.java: updated copyright;
  added sphinx marks; fixed indentation; cleaned up comments;
  simplified; removed explanation of converter registration which is
  now contained in examples/tutorial/protobuf/RegistrationExample.java

    -  examples/tutorial/protobuf/ListenerExample.java: similar
Revision 23828117 - 10/11/2012 01:50 AM - J. Moringen

Describe converter registration with examples in tutorial-converters.rst

fixes #1196

    -  tutorial-converters.rst: new file; contains converter part of the
  tutorial; currently explains registration of converters for
  implementation languages

    -  tutorial.rst: include tutorial-converters.rst; minimal description
  of the converter tutorial part

    -  tutorial-extension-points.rst: added link target
  tutorial-writing-converters

Revision 1acc9223 - 10/16/2012 04:03 PM - J. Moringen

Backport: Describe converter registration with examples in tutorial-converters.rst

refs #1196

    -  tutorial-converters.rst: new file; contains converter part of the
  tutorial; currently explains registration of converters for
  implementation languages

    -  tutorial.rst: include tutorial-converters.rst; minimal description
  of the converter tutorial part

    -  tutorial-extension-points.rst: added link target
  tutorial-writing-converters

Revision 7f414dfb - 10/16/2012 04:12 PM - J. Moringen

Backport: Simplified and reorganized examples in examples/protobuf_converter/

refs #1196

    -  examples/protobuf_converter/registration.cpp: new file; demonstrates
  registrations of converters without use

    -  examples/protobuf_converter/receiver.cpp: updated copyright; cleaned
  up; added sphinx markers

    -  examples/protobuf_converter/sender.cpp: likewise

Revision 612786ce - 10/16/2012 04:14 PM - J. Moringen

Backport: Simplified and reorganized examples/protobuf/*.py

refs #1196

    -  examples/protobuf/registration.py: new file; illustrates
  registration of converters

    -  examples/protobuf/informer.py: cleaned up; shortened comments
  regarding registration; added sphinx marks
    -  examples/protobuf/listener.py: likewise

Revision 3f7c29a2 - 10/16/2012 04:19 PM - J. Moringen

Backport: Cleaned up and reorganized examples in examples/tutorial/protobuf

refs #1196

    -  examples/tutorial/protobuf/RegistrationExample.java: new file;
  demonstrates registration of converters

    -  examples/tutorial/protobuf/InformerExample.java: updated copyright;
  added sphinx marks; fixed indentation; cleaned up comments;
  simplified; removed explanation of converter registration which is
  now contained in examples/tutorial/protobuf/RegistrationExample.java

    -  examples/tutorial/protobuf/ListenerExample.java: similar

History
#1 - 10/10/2012 09:09 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen
- % Done changed from 0 to 50

#2 - 10/10/2012 09:54 PM - J. Moringen
- Subject changed from Descibe registration of converters to Describe registration of converters

#3 - 10/11/2012 02:10 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset rsb-manual|commit:238281174fef95f189bc6fd8b88479a42b133247.
